---
lang: en
title: 'API docs: context.inspecttargettype'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.inspecttargettype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [inspectTargetType](./context.inspecttargettype.md)

## inspectTargetType() function

Inspect the target type for the injection to find out the corresponding JavaScript type

<b>Signature:</b>

```typescript
export declare function inspectTargetType(injection: Readonly<Injection>): Function;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  injection | Readonly&lt;[Injection](./context.injection.md)<!-- -->&gt; | Injection information |

<b>Returns:</b>

Function


